## lacheck 1.23

=== Makefile ===
# Makefile for lacheck.

# If both flex lacheck.c are missing, copy lacheck.noflex.c to
# lacheck.c. 

prefix = /usr/local
exec_prefix = $(prefix)

bindir = $(exec_prefix)/bin
mandir = $(prefix)/man/man1
manext = .1
srcdir = .

# Use `cc -bsd' on a next
# use `cc -cckr' on a sgi
# CC = gcc -traditional
CC=cc

CFLAGS = -g # -O -DNEED_STRSTR 

# No changes should be needed below

# Remember to change when lacheck is updated.
REV = 1.23

DISTFILES = lacheck.lex lacheck.man Makefile lacheck.c test.tex test.old \
	lacheck.hlp make_vms.com

FTPDIR = /home/ftp/pub/Staff/Per.Abrahamsen/mirror/ftp/lacheck

SHELL = /bin/sh

LACHECK=lacheck

INSTALL = cp
INSTALL_PROGRAM = $(INSTALL) 
INSTALL_DATA = $(INSTALL) 

FLEX = flex
FLEXFLAGS = -8

LIBS= #-ll

$(LACHECK):	lacheck.o
	$(CC) $(CFLAGS) -o $@ $(srcdir)/lacheck.o $(LIBS)

lacheck.c:	lacheck.lex  
	-if [ ! -f $(srcdir)/lacheck.noflex.c ] ; then \
	  if [ -f $(srcdir)/lacheck.c ] ; then \
	    $(INSTALL_DATA) $(srcdir)/lacheck.c $(srcdir)/lacheck.noflex.c ; \
	  fi ; \
	fi
	$(FLEX) $(FLEXFLAGS) $(srcdir)/lacheck.lex
	mv $(srcdir)/lex.yy.c $@

lacheck.1: 	lacheck.man  
	-sed -e "s!%%LACHECKREV%%!Release $(REV)!" $(srcdir)/lacheck.man |\
	sed -e "s!%%LACHECKDATE%%!`date +%D`!" |\
	sed -e "s!%%LACHECKPATH%%!$(bindir)/$(LACHECK)!" > $@ 

test.new:	test.tex $(LACHECK) 
	$(srcdir)/$(LACHECK) $(srcdir)/test.tex > $@ 

test.old:	test.tex $(LACHECK)
	$(srcdir)/$(LACHECK) $(srcdir)/test.tex > $@ 

check:		test.new
	-diff $(srcdir)/test.old $(srcdir)/test.new

install: 	$(LACHECK) lacheck.1
	cp $(srcdir)/$(LACHECK) $(bindir)
	cp $(srcdir)/lacheck.1 $(mandir)/lacheck$(manext) 

uninstall:
	-rm -f $(bindir)/$(LACHECK) $(mandir)/lacheck$(manext) 

clean:
	-rm -f $(srcdir)/$(LACHECK) $(srcdir)/*.o $(srcdir)/*.1 $(srcdir)/*~

distclean:	clean

mostlyclean:	clean
	-rm -f $(srcdir)/lacheck.c $(srcdir)/lacheck.noflex.c

realclean:	mostlyclean
	-rm -f test.old

dist:	$(DISTFILES) 
	mkdir lacheck-$(REV) 
	cp $(DISTFILES) lacheck-$(REV)
	touch lacheck-$(REV)/lacheck.c
	-rm -f $(FTPDIR)/lacheck-$(REV).tar.gz
	-rm -f $(FTPDIR)/lacheck.tar.gz $(FTPDIR)/lacheck.tar.Z
	tar -cf - lacheck-$(REV) | gzip > $(FTPDIR)/lacheck-$(REV).tar.gz
	tar -cf - lacheck-$(REV) | compress > $(FTPDIR)/lacheck-$(REV).tar.Z
	(cd $(FTPDIR); ln -s lacheck-$(REV).tar.gz lacheck.tar.gz)

## lacheck 1.25

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # No changes should be needed below
 
 # Remember to change when lacheck is updated.
-REV = 1.23
+REV = 1.25
 
 DISTFILES = lacheck.lex lacheck.man Makefile lacheck.c test.tex test.old \
 	lacheck.hlp make_vms.com

## lacheck 1.26

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # No changes should be needed below
 
 # Remember to change when lacheck is updated.
-REV = 1.25
+REV = 1.26
 
 DISTFILES = lacheck.lex lacheck.man Makefile lacheck.c test.tex test.old \
 	lacheck.hlp make_vms.com

=== debian/changelog ===
lacheck (1.26-15) unstable; urgency=medium

  * [853d5ec] Upgrade Standards-Version to 3.9.6
  * [b0c5dcf] debian/control: Add VCS fields
  * [c9bf146] debian/copyright: Switch to machine readable format
  * [7b8a9b5] Switch to debhelper compatibility level 9
  * [efeb2df] Add patch: Add $(LDFLAGS) to $(CC) invocation
  * [e4353ad] debian/rules (override_dh_auto_build): Use "dpkg-buildflags"
  * [c796896] debian/rules (release): Defer signing dsc and changes files
  * [cc31cda] debian/rules (upload): New target

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 05 Nov 2014 23:05:48 +0100

lacheck (1.26-14) unstable; urgency=low

  * [cf5b199] debian/control: Use Breaks and Replaces instead of
    Conflicts.
  * [e2e74de] Track new upstream versions.

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 25 Dec 2011 04:38:59 +0100

lacheck (1.26-13) unstable; urgency=low

  * [83e0664] Update Standards-Version to 3.9.2.
  * [636feda] Add debian/copyright to the source package.
  * [b9a913a] debian/control(Description): Omit initial article.

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 18 Dec 2011 23:28:49 +0100

lacheck (1.26-12) unstable; urgency=low

  * [492d3a1] Switch to 3.0 (quilt) source format.
  * [35c4d44] Update copyright year.
  * [33f548c] Recommend texlive-latex-base instead of texlive-base.
  * [d7db698] Do not ignore errors in "make clean".
  * [56a5c2a] Move the extended description "Homepage:" pseudo-header to
    a regular field.
  * [7f27b63] Change doc-base section from "Apps/Editors" to "Editors".
  * [25929f6] Do not call install-docs anymore in postinst.in and
    prerm.in.
  * [566c234] Remove no more needed debian/postinst.in and
    debian/prerm.in.
  * [0ebb8e5] Change EPerl sources suffix and rename binary package
    specific files.
  * [b8e10fb] Switch to debhelper.
  * [7a79cac] Add patch: Add DESTDIR support to Makefile.
  * [bbbc2ad] Add patch: Fix check target in Makefile.
  * [ae4fe30] Update Standards-Version to 3.9.1.

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 30 Aug 2010 19:22:21 +0200

lacheck (1.26-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Recommend texlive-base instead of texlive-base-recommended, which is no
    longer available (Closes: #448911).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 31 Mar 2008 00:19:52 +0200

lacheck (1.26-11) unstable; urgency=low

  * rules.in (build-package): Added dependency on the "clean" target.

  * copyright.in, COPYRIGHT, variables: Update copyright.
  * postinst.in, prerm.in: Linting.
  * postinst.in, prerm.in: Check script arguments before calling
    actions.
  * variables (DINSTALL, DREMOVE): Check for "install-docs" in "${PATH}"
    rather than by absolute location.

  * control (Recommends): Dropped "tetex-base".  (Closes: #424735)

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 08 Aug 2007 11:56:01 +0200

lacheck (1.26-10) unstable; urgency=low

  * postinst.in, prerm.in: Fixed typo; exit 1 if called with unknown
    argument; thanks to Justin Pryzby.

  * control (Recommends): Added texlive alternative dependencies according
    to <http://www.tug.org/texlive/debian.html>: "tetex-base |
    texlive-base-recommended".

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 27 Jun 2006 20:22:58 +0200

lacheck (1.26-9) unstable; urgency=low

  * COPYRIGHT, copyright.in: Updated.
  * control (Standards-Version): Updated to 3.7.2.
  * control (Description): Added upstream URL.

  * rules.in (%): Declare ${DEBIAN_DIR}.
  * variables: Use it, to include "COPYRIGHT" in ePerl auto-generated files
    located in a "debian/" subdirectory.

  * rules.in (fixperms): New variable.  The command used to canonicalize
    the whole tree permissions.
    (clean): Use "$(fixperms)" to canonicalize permissions after cleaning.

  * rules.in (%): Cater for ePerl "*.in" sources in subdirectories of
    "debian".
  
  * rules.in (checkdir, checkroot): Should not be implemented by means of
    phony targets, otherwise targets which depend on them will never be
    up-to-date.
    (build, clean, binary-indep, binary-arch): Change accordingly.

  * General overhaul of the debian directory.
  * bug.presubj, docbase: New files.
  * preinst, postrm: Deleted.

 -- Davide G. M. Salvetti <salve@debian.org>  Tue,  6 Jun 2006 19:19:04 +0200

lacheck (1.26-8) unstable; urgency=low

  * COPYRIGHT: Updated.
  * README.in, copyright.in, postinst.in, postrm.in, preinst.in, prerm.in,
    rules.in, variables: Linting.
  * control (Standards-Version): Updated to 3.6.1.
    (Description): Reflect the time passed; new AUCTeX name.

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 25 Apr 2005 11:54:37 +0200

lacheck (1.26-7) unstable; urgency=low

  * control (Priority): Set to optional.
    (Standards-Version): Updated to 3.5.10.
  * postinst(do_link): Removed.
  * prerm(undo_link): Removed.
  * rules(STRIP): New variable.
    (binary-arch): Use it.

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 28 Jun 2003 18:12:01 +0200

lacheck (1.26-6) unstable; urgency=high

  * control (Build-Depends): added eperl.
  * rules (debian/rules): added.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 16 May 2001 14:50:11 +0200

lacheck (1.26-5) unstable; urgency=low

  * COPYRIGHT: Updated.
  * rules: Added -isp to dpkg-gencontrol.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 12 Jan 2001 11:59:46 +0100

lacheck (1.26-4) unstable; urgency=low

  * copyright: Fixed typo. (Closes: #64259)
  * control: Standards-Version: 3.2.1.
  * rules: Rule to update system.variables added.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 20 Oct 2000 02:49:31 +0200

lacheck (1.26-3) unstable; urgency=low

  * Added compatibility doc link.
  * EPerl handling of Debian files.
  * COPYRIGHT: New file.
  * postinst: New file.
  * postrm: New file.
  * preinst: New file.
  * prerm: New file.
  * system.variables: New file.
  * variables: New file.

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 14 Oct 1999 17:55:03 +0200



=== debian/control ===
Source: lacheck
Priority: optional
Section: tex
Build-Depends: debhelper (>= 9), eperl
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Standards-Version: 3.9.6
Homepage: http://www.ctan.org/tex-archive/support/lacheck/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/salve/lacheck.git;a=summary
Vcs-Git: git://anonscm.debian.org/users/salve/lacheck.git

Package: lacheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive-latex-base
Suggests: auctex
Replaces: auctex (<< 9.7l-1)
Breaks: auctex (<< 9.7l-1)
Description: Simple syntax checker for LaTeX
 LaCheck is a simple syntax checker for LaTex that is based on a
 single-pass lexical scanner. This makes clear that there are a lot of
 LaTeX problems this program cannot find, although it will find most
 simple mistakes.  Complex macro packages may, however, make it completely
 unusable.
 .
 This program was bundled with AUCTeX once upon a time and is best known
 from there.

=== debian/rules ===
#! /usr/bin/make -f
#
# makefile rules for the Debian package lacheck
#
# Copyright (C) 1997-2014 Davide G. M. Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

SHELL := /bin/bash

EPERL_SRC := $(wildcard debian/*.eperl)
EPERL_OBJ := $(EPERL_SRC:%.eperl=%)

debian/clean: $(EPERL_OBJ)
	echo $(filter-out debian/copyright debian/rules, $(EPERL_OBJ)) \
		debian/clean > debian/clean

%:: %.eperl
	eperl -P -o $@ $<

.PHONY: build
build: debian/clean
	dh $@ --exclude .eperl

%:
	dh $@ --exclude .eperl

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(shell dpkg-buildflags --export=cmdline) prefix=/usr \
		lacheck lacheck.1

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- prefix=/usr mandir=/usr/share/man/man1

.PHONY: snapshot
snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
snapshot:
	git-dch --debian-branch=$(BRANCH) --snapshot --auto --commit
	git-buildpackage -tc -us -uc --git-pbuilder \
		--git-debian-branch=$(BRANCH)

.PHONY: release
release:
	git checkout master
	gbp-pq rebase
	gbp-pq export
	git-dch --release --commit
	git-buildpackage -tc -us -uc --git-pbuilder --git-tag

.PHONY: upload
upload: V := $(shell dpkg-parsechangelog --show-field Version)
upload: A := $(shell dpkg --print-architecture)
upload:
	debsign
	dput ../lacheck_$(V)_$(A).changes

=== debian/watch ===
version=3
http://mirrors.ctan.org/support/lacheck/lacheck-(.+)\.tar\.gz
